// ===========================================================================
//	File:						CPullAppToFront.h
// Version:					1.0 - May 7, 1996
//	Author:					Mike Shields (mshields@inconnect.com)
//							
//	Copyright 1996 Mike Shields. All rights reserved.
// ===========================================================================
//	CPullAppToFront.cp		<- double-click + Command-D to see class declaration
//
// LPeriodical derived class which will make the application the frontmost
// app when it executes. It will then delete itself.

#pragma once

#include <LPeriodical.h>

class	CPullAppToFront : public LPeriodical
{
public:
						CPullAppToFront();
	virtual			~CPullAppToFront();
	
	virtual void	SpendTime(const EventRecord &inMacEvent);

protected:
	virtual void	SpendTimeSelf(const EventRecord &inMacEvent);
};
