// ===========================================================================
//	LHiResCaption.cp				   
//  Dan Crevier
//  A subclass of LCaption that changes the text size proportionally if it is
//  enclosed in an LHiResPrinter. See LHiResPrintout for detials

#ifndef _H_LHiResCaption
#define _H_LHiResCaption
#pragma once

#if defined(__CFM68K__) && !defined(__USING_STATIC_LIBS__)
	#pragma import on
#endif

#include <LCaption.h>

class	LHiResCaption : public LCaption {
public:
	enum { class_ID = 'hrCp' };

						LHiResCaption();
						LHiResCaption(
								const LHiResCaption	&inCaption);
						LHiResCaption(
								const SPaneInfo	&inPaneInfo,
								ConstStringPtr	inString,
								ResIDT			inTextTraitsID);
						LHiResCaption(
								LStream			*inStream);
	virtual				~LHiResCaption();
	
protected:

	virtual void		DrawSelf();
};

#if defined(__CFM68K__) && !defined(__USING_STATIC_LIBS__)
	#pragma import reset
#endif

#endif
