// ===========================================================================
//	LCicnCheck.h			   1996 Gregory S. Combs <combs@io.com>
// ===========================================================================
//
//	An LCicnButton that works as a checkbox.
//
//	(License mumbo-jumbo "borrowed" from Christophe ANDRES, chrisoft@calva.net)
//
//	You may use this source code in any application (commercial, shareware, freeware,
//	postcardware, etc), but not remove this notice (no need to acknowledge the use of
//	this class in the about box)
//	You may not sell this source code in any form. This source code may be placed on 
//	publicly accessable archive sites and source code disks. It may not be placed on 
//	profit archive sites and source code disks without the permission of the author, 
//	Gregory S. Combs.
//	
//	    This source code is distributed in the hope that it will be useful,
//	    but WITHOUT ANY WARRANTY; without even the implied warranty of
//	    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//
//	If you make any change or improvement on this class, please send the improved/changed
//	version to : combs@io.com
//

#ifndef _H_LCicnCheck
#define _H_LCicnCheck
#pragma once

#include <LControl.h>

#ifndef __ICONS__
#include <Icons.h>
#endif


class	LCicnCheck : public LCicnButton {
public:
	enum { class_ID = 'ICNc' };
	static LCicnCheck*	CreateCicnCheckStream(LStream *inStream);
	
						LCicnCheck();
						LCicnCheck(const LCicnCheck &inOriginal);
						LCicnCheck(LStream *inStream);
	virtual				~LCicnCheck();
	
protected:

	virtual void		DrawSelf();	
	
	virtual void		HotSpotResult(short inHotSpot);
};

#endif