// ===========================================================================
//	File:						CTargetable.h
// Version:					1.0 - Feb 1, 1996
//	Author:					Mike Shields (mshields@inconnect.com)
//							
//	Copyright 1996 Mike Shields. All rights reserved.
// ===========================================================================
//	CTargetable.cp		<- double-click + Command-D to see class definition
//
// Mixin class which allows the new sub class to have a "target border" 
// shown around it when the object is the target.

#pragma once

#ifndef __TYPES__
#include <Types.h>
#endif

class CTargeterBorder;

class CTargetable
{
public:
							CTargetable();
	virtual				~CTargetable();

	virtual void		SetTargeterBox(CTargeterBorder* inBorder);
	virtual Boolean	IsTargeted(void);
	
protected:
	virtual void		ShowFocus(void);
	virtual void		HideFocus(void);
	
private:
	CTargeterBorder*	mBorder;
};
